=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::CustomsDeclarationsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'CustomsDeclarationsApi' do
  before do
    # run before each test
    @instance = Shippo::CustomsDeclarationsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of CustomsDeclarationsApi' do
    it 'should create an instance of CustomsDeclarationsApi' do
      expect(@instance).to be_instance_of(Shippo::CustomsDeclarationsApi)
    end
  end

  # unit tests for create_customs_declaration
  # Create a new customs declaration
  # Creates a new customs declaration object
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [CreateCustomsDeclaration] :body CustomsDeclaration details.
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [CustomsDeclaration]
  describe 'create_customs_declaration test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_customs_declarations
  # List all customs declarations
  # List all customs declaration objects
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @option opts [Integer] :page description: The page number you want to select
  # @option opts [Integer] :results description: The number of results to return per page (max 100)
  # @return [PaginatedCustomsDeclarationsResponse]
  describe 'list_customs_declarations test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_customs_declaration
  # Retrieve a customs declaration
  # Retrieve an existing customs declaration by object id
  # @param customs_declaration_id description: Object ID of the customs declaration
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @option opts [Integer] :page description: The page number you want to select
  # @return [CustomsDeclaration]
  describe 'get_customs_declaration test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
